org.apache.maven.cli

## Class MavenCli

- java.lang.Object
- - org.apache.maven.cli.MavenCli

-     public class MavenCli
      extends java.lang.Object

  Version:
    $Id: MavenCli.java 788791 2009-06-26 17:55:26Z jdcasey $
  Author:
    Jason van Zyl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OS_ARCH` Deprecated. use `Os#OS_ARCH`
    `static java.lang.String` | `OS_NAME` Deprecated. use `Os#OS_NAME`
    `static java.lang.String` | `OS_VERSION` Deprecated. use `Os#OS_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenCli()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Deprecated. Use `Main#main(String[])` instead.
    `static int` | `main(java.lang.String[] args, ClassWorld classWorld)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OS_NAME

          public static final java.lang.String OS_NAME

      Deprecated. use `Os#OS_NAME`

    - #### OS_ARCH

          public static final java.lang.String OS_ARCH

      Deprecated. use `Os#OS_ARCH`

    - #### OS_VERSION

          public static final java.lang.String OS_VERSION

      Deprecated. use `Os#OS_VERSION`

  - ### Constructor Detail

    - #### MavenCli

          public MavenCli()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Deprecated. Use `Main#main(String[])` instead.

    - #### main

          public static int main(java.lang.String[] args,
                 ClassWorld classWorld)